import cPickle

class Singleton(object):
    def __init__ (self):
        try:            
            self.__dict__ = self.instance.__dict__
        except AttributeError:
            # This is the first instance
            self.__class__.instance = self

    @classmethod
    def load(cls, filename):
        cls.instance = cPickle.load(open(filename))

    def save(self, filename):
        cPickle.dump(self, open (filename, 'w'), cPickle.HIGHEST_PROTOCOL)    
