from ..widget import NonInteractiveWidget

class InfoBox(NonInteractiveWidget):

    default_properties = {'label': ''}
    
    def specific_repr(self, height, width):

        return '--infobox "%s" "%d" "%d"' % (self._text().get(), height, width)

    def best_fit(self, max_height, max_width):

        label_height, label_width = self._text().fit( \
            max_height - self.widget_frame_height, 
            max_width - self.widget_frame_width)

        return label_height + self.widget_frame_height, \
            label_width + self.widget_frame_width


