from ..widget import NonInteractiveWidget
from ..errors import CanvasException

class TailBox(NonInteractiveWidget):

    default_properties = {'file': None}

    def specific_repr(self, height, width):

        if self['file'] is None:
            raise CanvasException('No file specified for TailBox widget')

        return '--tailboxbg "%s" "%d" "%d"' % (self['file'], height, width)
