#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import re

from xiv_xsf.host.storage.xiv_volume_discoverer.shared import PosixTasks
from xiv_xsf.utils.system_command import SystemCommand, ExternalCommandError

class OsSpecific(PosixTasks):
    """Common functions for the HP-UX platform"""

    def get_lun_serial(self, device):
        # Must be a raw device
        device = device.replace("/dev/dsk/", "/dev/rdsk/");

        scsi_unit_serial_number = \
            PosixTasks.get_lun_serial(self, device)

        return scsi_unit_serial_number
