"""This file is meant to be a central location in which 'hacks' on p10client will be implemented.
The idea is to completely separate the hack from the real code."""

import warnings

def _HACKED_get_configuration(original_get_configuration):
    warnings.warn('using p10client with a pre-GA 10.1 workaround. not for use in production!')
    def callable(self):
        if '10.1' in str(self._execute('version_get')):
            warnings.warn('machine is 10.1, workaround activated')
            configuration = self._execute('config_get').as_dict('name')
            self.serial = configuration['machine_serial_number'].value
            self.model = configuration['machine_model'].value
            self.type = configuration['machine_type'].value
        else:
            original_get_configuration(self)
    callable.__name__ = original_get_configuration.__name__
    return callable
