#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 
"""Generic SCSI Library allowing low level access to SCSI devices

commands - implementation of common SCSI commands
raw      - o/s specific device specification, returns correct device for
           current operating system
device   - generic device that wraps raw and commands

Additional Information:
* All non string responses as returned as python constructs. For information 
  about construct see http://construct.wikispaces.com/

"""


#__all__ = ['device']
