#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 
from construct import *

peripheral_device_type=Enum(Bits("peripheral_device_type", 5),
    direct_access_block=0x0,
    sequential_access=0x1,
    printer=0x2,
    processor=0x3,
    write_once=0x4,
    cd_or_dvd=0x5,
    # scanner=0x6, obsolete
    optical_memory_device=0x7,
    medium_changer=0x8,
    # communications=0x9, obsolete
    # unspecified=0xa, obsolete
    # unspecified=0xb, obsolete
    storage_array_controller=0xc,
    enclosure_services=0xd,
    simplified_direct_access=0xe,
    optical_card_reader_writer=0xf,
    bridge_controller_commands=0x10,
    object_based_storage=0x11,
    automation_drive_interface=0x12,
    # unspecified=0x13, reserved
    # ... 0x14-0x1c are also reserved ...
    # unspecified=0x1d, reserved
    well_known_logical_unit=0x1e,
    unknown_or_no_device_type=0x1f,
    )
    
