#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 
import platform
import sys
from os import path

__all__ = ['']

from xiv.pyutils import import_name
path_backup = list(sys.path)

sys.path.append(path.dirname(path.abspath(__file__)))
RawDevice = import_name(__name__ + '.' + platform.system() + '.interface.Device')
sys.path = path_backup

from raw_device import UnsupportedNativeArchitecture
from raw_device import SenseReceived, NonzeroStatus
from raw_device import InvalidHandle, DeviceNotOpen
