#!/usr/bin/env perl
# command.pl
# Author: Lital Natan <litaln@il.ibm.com>
#
# Description:
# A perl program which complies with the SRM 1.0 SRA specifications
# XML input is given via STDIN and is forwarded to the relevant
# command handler executables (other programs which do the actual
# work)
#
###############################################################
use FindBin qw($Bin);   # Locate directory of perl script
use lib "$Bin";
my $XPYV = "C:\\xpyv\\xpyv.exe";
my $path = $Bin; # directory of the script to be called 
for my $xpyv_prefix ("$path/xpyv", "C:/xpyv") {
  $xpyv_path = "$xpyv_prefix/xpyv.exe";
  $XPYV = $xpyv_path if -f "$xpyv_path";
}
$ENV{"PYTHONPATH"} = "$path/lib";
print "\"$XPYV\" \"$path/command.py\"";
exit(system("\"$XPYV\" \"$path/command.py\""));
