from xiv_xsf.nextra.phase10.client.exceptions import IncorrectCredentials
from xiv_xsf.nextra.phase10.client.xcli.transport.exceptions import UnableToConnect

class SRMError(Exception):
  pass

class SRMCommandError(SRMError):
  def __init__(self, srm_command, *args, **kwargs):
    self.srm_command = srm_command
    Exception.__init__(self, *args, **kwargs)
  
  def __str__(self):
    text = Exception.__str__(self) + ":\n"
    text += str(self.srm_command)
    return text
