from ..widget import InteractiveWidget

class FileDialog(InteractiveWidget):

    default_properties = {'path': '/'}        

    # Not sure what best_fit should return here, so using Widget's default
    # best_fit (which is in fact equivalent to setting sizing_mode to FILL)

    def specific_repr(self, height, width):

        real_height = height - 10 
        # For some reason for this widget dialog expects the net height
        # (without the overhead)
        return '--fselect "%s" "%d" "%d"' % (self['path'], real_height, width)

    def process_results(self, program_results):

        self.validate_return_value(program_results)
        self.answer = program_results.stderr
