#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

class CommonDevices(object):
    def rescan_disk_devices(self):
        """Tells the OS to rescan its disk devices"""
        raise NotImplementedError

    def get_list_of_scsi_disk_devices(self):
        """Gets a list of all the SCSI disk devices, even non-XIV"""
        raise NotImplementedError
