#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import wmi

from common import CommonDevices

class OsDevices(CommonDevices):
    def get_list_of_scsi_disk_devices(self):
        devices = []
        wmi_obj = wmi.WMI()

        result = wmi_obj.query("SELECT DeviceID FROM Win32_DiskDrive")

        for disk in result:
            devices.append(disk.DeviceID)

        return devices
