from SimpleHTTPServer import SimpleHTTPRequestHandler
import os

class ExplorerHTTPRequestHandler(SimpleHTTPRequestHandler):
    fixed_file_name = None
    fixed_file_type = 'application/x-bzip2'
    def send_head(self):
        try:
            if self.fixed_file_name is None:
                raise IOError
            f = open(self.translate_path('/%s' % self.fixed_file_name), 'rb')
        except IOError:
            self.send_error(404, "File not found")
            return None
        self.send_response(200)
        self.send_header("Content-type", self.fixed_file_type)
        fs = os.fstat(f.fileno())
        self.send_header("Content-Length", str(fs[6]))
        self.send_header("Last-Modified", self.date_time_string())
        self.send_header("Content-Disposition", "attachment; filename=%s" % self.fixed_file_name)
        self.end_headers()
        return f
