from xiv_xsf.nextra.phase10.client import XCLIClient
from xiv_xsf.nextra.phase10.client.xcli.transport.ssl import AdministrationGatewayEndpoint

def discover_ssl(user, password, endpoint):
    nextra = XCLIClient.connect_ssl(user, password, endpoint)
    known_address, dummy_known_port = nextra.transport.endpoints[0].socket_handle.getpeername()
    additional_endpoints = []
    for ip_interface in nextra.ipinterface_list():
        if ip_interface.type != 'Management' or ip_interface.address == known_address:
            continue
        additional_endpoints.append(AdministrationGatewayEndpoint.from_anything(ip_interface.address))
    nextra.transport.endpoints.extend(additional_endpoints)
    return nextra

def chubaka(user, password):
    return XCLIClient.connect_ssl(user, password, 'module-5', 'module-6', 'localhost')
    
