from xiv_xsf.nextra.phase10.client.exceptions import NextraClientException

class DeliveryFailure(NextraClientException):
    "Raised when all delivery attempts have failed"
    def __init__(self, message, delivery_exceptions=[]):
        self.message = message
        self.delivery_exceptions = delivery_exceptions
    def __str__(self):
        return self.message
class DeliveryAmbiguity(DeliveryFailure):
    "Identical to DeliveryFailure, but raised when at least one attempt might have succeeded"
