#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 
"""Common SCSI Structures

The constructs defined in this package are typically used within other command
specific constructs

This package contains two types of Constructs
common    - these constructs are used by more then one command
generated - these constructs are generated from official text document
            available on the T-10 web site.
            The command.common.generate package can be used for regenerating 
            the related modules. See generate help for additional information
            There is no need to regenerate a package unless the information is
            out of date

"""

# generated constructs
from stds import version_descriptor
from asc_codes import additional_sense_code

# common constructs
