#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

from constants import *
from construct import *
import sys

def bufferPrint16(data, name = None, type = None, alignment = 16, isChar = True):
    count = 0 
    
    if None != name:
        print "==== " + name + " (%d/0x%X) =====" % (len(data),len(data))
    else:
        print "Length = %d (0x%x)" % (len(data),len(data))
    
        
        
    for i in data:
        if True == isChar:
            if None == type:
                print "%02X" % (ord(i)),
            else:    
                sys.stdout.write( type % (ord(i)))
        else:
            if None == type:
                print "%02X" % (i),
            else:    
                sys.stdout.write( type % i)
            
        count = count + 1
        if alignment == count:
            count = 0
            print
    
    print
        
#from xiv_xsf.nextra.p9client.xcli.transport import *
#cdb10Write  = xcli_write_buffer.build(Container(command_length=len(xml_cmd)))
#cdb10Read   = xcli_read_buffer.build(Container(command_length=XCLI_INPUT_BUFFER_SIZE))
#print xcli_write_buffer.parse(cdb10Write)
#print xcli_read_buffer.parse(cdb10Read)

#from scsy.scsi_specifications.primary_commands import inquiry
#cdbInquiry = inquiry.command.build(Container(allocation_length=DEFAULT_INQUIRY_RESPONSE_SIZE))

xml_cmd = '<command id="0" type="system_counters_get">\n<option name="xiv-mode" value="yes" />\n</command>'
cdb10Write = "\x3B\x01\x00\x00\x00\x00\x00\x00\x5D\x00"
cdb10Read  = "\x3C\x01\x00\x00\x00\x00\x04\x00\x00\x00"
cdbInquiry = "\x12\x00\x00\x00\x60\x00"


#bufferPrint16(cdbInquiry, "Inquiry", )  
#bufferPrint16(xml_cmd,type="%c", alignment = -1)     
#bufferPrint16(cdb10Write, name = 'CDB Write')
#bufferPrint16(cdb10Read, name = 'CDB Read')
