#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import platform

class OsUtils(object):
    def get_os_name(self):
        """Returns a proper OS name, usually used for filename-to-import.
        Also uses a workaround for recognizing windows OS"""
        os_name = platform.system().lower()

        os_name = os_name.replace("-", "") # HP-UX -> HPUX

        if (os_name == "cli"):
            os_name = "windows" # IronPython quirk

        return os_name

