#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import re

class ParseUtils(object):
    """Misc. utility functions for parsing stuff"""

    def regexp_dictionary_match(self, dict, string):
        """Iterates on "dict". For each key, tries to match "string" to each
        element in the value (value is an array)
        Returns the matched key or None if no matches"""
        for key in dict:
            for regexp in dict[key]:
                re_obj = re.compile(regexp)
                if (re_obj.search(string)):
                    return key

        return None


