@REM ------------------------------------------------------------------------
@REM Copyright 2009 VMware, Inc.  All rights reserved. 
@REM -- VMware Confidential
@REM 
@REM WinXP/Win2k script for recertification of existing SRAs
@REM ------------------------------------------------------------------------
@ECHO OFF

IF [%1]==[] goto USAGE
goto RUN


:USAGE
echo.
echo This script can be used for minimal re-certification of the SRA when applicable
echo USAGE: %0 config.xml
echo.
goto END


:RUN

vmware-sra-test "%1" --test DrCertSuite::SraTest::MatchLunsPostTestFailover --test DrCertSuite::SraTest::MatchSecondarySiteArrays --test DrCertSuite::SraTest::MatchPrimarySiteLuns --test DrCertSuite::SraTestWithFailover::MatchLunsPostFailover

vmware-sra-integration-test "%1" --test DrCertSuite::SraIntegrationTest::PrimaryDiscoveryTest --test DrCertSuite::SraIntegrationTest::SecondaryDiscoveryTest --test DrCertSuite::SraIntegrationTest::ProtectionTest --test DrCertSuite::SraIntegrationTest::Basic

:END
